Summary: NCBI Bioinformatics toolset
Name: ncbi
Version: 6.0
Release: 1
Copyright: Freeware
Group: Applications/Bioinformatics
Packager: Justin Cormack <jpc1@doc.ic.ac.uk>
URL: http://www.ncbi.nlm.nih.gov/BLAST/
Source: ftp://ftp.ncbi.nlm.nih.gov/toolbox/ncbi_tools/ncbi.tar.Z
BuildRoot: /var/tmp/ncbi-root

%description
The NCBI Software Development Toolkit was developed for the production and
distribution of GenBank, Entrez, BLAST, and related services by NCBI. We make
it freely available to the public without restriction to facilitate the
use of NCBI by the scientific community. However, please understand that
while we feel we have done a high quality job, this is not commercial software.
The documentation lags considerably behind the software and we must make any
changes required by our data production needs. Nontheless, many people have
found it a useful and stable basis for a number of tools and applications.

%changelog
* Mon Nov 09 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
- first build

%prep
%setup -n ncbi

%build
cd build
cp ../make/*.unx .
mv makeall.unx makefile
make LCL=lnx CC=gcc RAN=ranlib OTHERLIBS="-lm -lpthread" all
make -f makedemo.unx LCL=lnx CC=gcc RAN=ranlib OTHERLIBS="-lm -lpthread" \
     THREAD_OBJ="ncbithr.o"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/ncbi

install bin/asntool     $RPM_BUILD_ROOT/usr/bin
install build/asn2fast  $RPM_BUILD_ROOT/usr/bin
install build/asn2ff    $RPM_BUILD_ROOT/usr/bin
install build/asndhuff  $RPM_BUILD_ROOT/usr/bin
install build/asntool   $RPM_BUILD_ROOT/usr/bin
install build/blastall  $RPM_BUILD_ROOT/usr/bin
install build/blastpgp  $RPM_BUILD_ROOT/usr/bin
install build/cdscan    $RPM_BUILD_ROOT/usr/bin
install build/checksub  $RPM_BUILD_ROOT/usr/bin
install build/dosimple  $RPM_BUILD_ROOT/usr/bin
install build/entrcmd   $RPM_BUILD_ROOT/usr/bin
install build/errhdr    $RPM_BUILD_ROOT/usr/bin
install build/fa2htgs   $RPM_BUILD_ROOT/usr/bin
install build/fastacmd  $RPM_BUILD_ROOT/usr/bin
install build/findspl   $RPM_BUILD_ROOT/usr/bin
install build/formatdb  $RPM_BUILD_ROOT/usr/bin
install build/getfeat   $RPM_BUILD_ROOT/usr/bin
install build/getmesh   $RPM_BUILD_ROOT/usr/bin
install build/getpub    $RPM_BUILD_ROOT/usr/bin
install build/getseq    $RPM_BUILD_ROOT/usr/bin
install build/indexpub  $RPM_BUILD_ROOT/usr/bin
install build/makeset   $RPM_BUILD_ROOT/usr/bin
install build/ncbisort  $RPM_BUILD_ROOT/usr/bin
install build/seedtop   $RPM_BUILD_ROOT/usr/bin
install build/seqtest   $RPM_BUILD_ROOT/usr/bin
install build/testcore  $RPM_BUILD_ROOT/usr/bin
install build/testobj   $RPM_BUILD_ROOT/usr/bin
install build/testval   $RPM_BUILD_ROOT/usr/bin

install include/*.h     $RPM_BUILD_ROOT/usr/include/ncbi

install lib/libncbi.a     $RPM_BUILD_ROOT/usr/lib
install lib/libncbiacc.a  $RPM_BUILD_ROOT/usr/lib
install lib/libncbicdr.a  $RPM_BUILD_ROOT/usr/lib
install lib/libncbimmdb.a $RPM_BUILD_ROOT/usr/lib
install lib/libncbiobj.a  $RPM_BUILD_ROOT/usr/lib
install lib/libncbitool.a $RPM_BUILD_ROOT/usr/lib
install lib/ncbithr.o     $RPM_BUILD_ROOT/usr/lib

strip $RPM_BUILD_ROOT/usr/bin/*
strip $RPM_BUILD_ROOT/usr/lib/*.a

%files
/usr/bin/asn2fast
/usr/bin/asn2ff
/usr/bin/asndhuff
/usr/bin/asntool
/usr/bin/blastall
/usr/bin/blastpgp
/usr/bin/cdscan
/usr/bin/checksub
/usr/bin/dosimple
/usr/bin/entrcmd
/usr/bin/errhdr
/usr/bin/fa2htgs
/usr/bin/fastacmd
/usr/bin/findspl
/usr/bin/formatdb
/usr/bin/getfeat
/usr/bin/getmesh
/usr/bin/getpub
/usr/bin/getseq
/usr/bin/indexpub
/usr/bin/makeset
/usr/bin/ncbisort
/usr/bin/seedtop
/usr/bin/seqtest
/usr/bin/testcore
/usr/bin/testobj
/usr/bin/testval
/usr/lib/libncbi.a
/usr/lib/libncbiacc.a
/usr/lib/libncbicdr.a
/usr/lib/libncbimmdb.a
/usr/lib/libncbiobj.a
/usr/lib/libncbitool.a
/usr/lib/ncbithr.o
/usr/include/ncbi

